<?

/* Константы сайта */
if(file_exists($_SERVER['DOCUMENT_ROOT'].'/bitrix/php_interface/include/constant.php'))
	require_once($_SERVER['DOCUMENT_ROOT'].'/bitrix/php_interface/include/constant.php');

/* Функции сайта */
if(file_exists($_SERVER['DOCUMENT_ROOT'].'/bitrix/php_interface/include/functions.php'))
	require_once($_SERVER['DOCUMENT_ROOT'].'/bitrix/php_interface/include/functions.php');

/* Подключение модулей */
CModule::IncludeModule("iblock");
CModule::IncludeModule("catalog");
CModule::IncludeModule("sale");
CModule::IncludeModule("form");
/* end inc modules */

class Basket
{
	// Формируем корзину текущего пользователя
	public function GetList()
	{
		$query = CSaleBasket::GetList(array(), array("FUSER_ID" => CSaleBasket::GetBasketUserID(), "LID" => SITE_ID, "ORDER_ID" => "NULL"));
		
		$arData = array();
		$arPRODUCT_ID = array();
		
		if($query->SelectedRowsCount() > 0)
		{
			while ($arResult = $query->Fetch())
			{
				$arPRODUCT_ID[] = $arResult['PRODUCT_ID'];
				$arResult['QUANTITY'] = intval($arResult['QUANTITY']);
				$arData[$arResult['PRODUCT_ID']] = $arResult;
			}
		}
		
		if(count($arPRODUCT_ID) > 0)
		{
			$dbElement = CIBlockElement::GetList( Array(), Array('ID'=>$arPRODUCT_ID), false, false, array('ID','IBLOCK_ID','PROPERTY_IMAGES') );
			if($dbElement->SelectedRowsCount() > 0)
			{
				while ($arElement = $dbElement->fetch())
				{
					if(strlen($arElement['PROPERTY_IMAGES_VALUE']) > 0) 
					{
						$arFile = CFile::ResizeImageGet($arElement['PROPERTY_IMAGES_VALUE'], array('width'=>73, 'height'=>73), BX_RESIZE_IMAGE_EXACT, true);
						$arData[$arElement['ID']]['ELEMENT']['PREVIEW_PICTURE'] = $arFile['src'];
						
						$arFile = CFile::ResizeImageGet($arElement['PROPERTY_IMAGES_VALUE'], array('width'=>161, 'height'=>161), BX_RESIZE_IMAGE_EXACT, true);
						$arData[$arElement['ID']]['ELEMENT']['BASKET_PICTURE'] = $arFile['src'];
					}
				}
			}
		}
		
		return $arData;
	}
	
	public function SmallBasket($arFields)
	{
		foreach($arFields as $arData)
		{
			$total += ($arData['PRICE'] * $arData['QUANTITY']);
			
			$str .= '<div class="box">';
				$str .= '<div class="image">';
					$str .= '<a href="'.$arData['DETAIL_PAGE_URL'].'"><img src="'.$arData['ELEMENT']['PREVIEW_PICTURE'].'" alt="'.$arData['NAME'].'" /></a>';
				$str .= '</div>';
				$str .= '<div class="text">';
					$str .= '<a href="'.$arData['DETAIL_PAGE_URL'].'">'.$arData['NAME'].'</a>';
					$str .= '<span>'.SaleFormatCurrency($arData['PRICE'] * $arData['QUANTITY'], $arData['CURRENCY']).' р.</span>';
				$str .= '</div>';
				$str .= '<div class="clear"></div>';
			$str .= '</div>';
		}
		
		if(count($arFields) > 0)
		{
			$str .= '<a href="/order/#basket" class="order">оформить заказ</a>';
			
			return array('TITLE'=>'Товаров на <span>'.SaleFormatCurrency($total).' руб.</span>', 'BODY'=>$str);
		}
		else
		{
			return array('TITLE'=>'Корзина пуста <span>0 руб.</span>', 'BODY'=>'<div class="box">Ваша корзина пуста :(</div>');
		}
	}
}
?>